List Referrals
get
/public/v1/referralspage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of ReferralResource
dataobject[]required▶Show 10 child attributesHide child attributes
idstringrequiredExample:r1e2f3e4-r5a6-47l8-9b0c-1d2e3f4a5b6creferencestringrequiredExample:REF-2024-00123detailsstring | nullrequiredExample:Client requires support coordination servicesstatusstringrequiredExample:newparticipant_namestring | nullrequiredExample:Jane Smithsourceenum<string> | nullrequiredAvailable options:another_providerbrochure_or_flyerchild_protectioneventhealth_professionalndia_or_laconline_searchotherself_referralsocial_mediasupport_coordinatorwebsiteword_of_mouthform_submissionobject | nullrequired▶Show 1 child attributesHide child attributes
idstringrequiredExample:f5a6b7c8-d9e0-41f2-a3b4-c5d6e7f8a9b0
created_atstringrequiredExample:2024-01-15T10:30:00+00:00updated_atstring | nullrequiredExample:2024-01-16T14:00:00+00:00archived_atstring | nullrequiredExample:2024-06-01T00:00:00+00:00
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error